Bug 1419449 - missing description of rhsm.conf manpage against SAM1.4.1
Summary: missing description of rhsm.conf manpage against SAM1.4.1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Subscription Asset Manager
Classification: Retired
Component: candlepin
Version: 1.4.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Katello Bug Bin
QA Contact: SAM QE List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 07:55 UTC by qianzhan
Modified: 2017-06-26 20:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-26 20:37:54 UTC


Attachments (Terms of Use)

Description qianzhan 2017-02-06 07:55:30 UTC
Description of problem:
missing description of rhsm.conf manpage against SAM1.4.1

Version-Release number of selected component (if applicable):
subscription-manager-1.18.9-1.el6.x86_64
python-rhsm-1.18.6-1.el6.x86_64
SAM-1.4.1-RHEL-6-20141113.0

How reproducible:
always

Steps to Reproduce:
1. Install RHEL-6.9-20170202.0
2. Check manpage of rhsm.conf

# man -f rhsm.conf
rhsm.conf: nothing appropriate

Actual results:
As step 2.

Expected results:
# man -f rhsm.conf
rhsm.conf [rhsm]     (5)  - Configuration file for the subscription-manager tooling

Additional info:

Comment 1 Wei Liu 2017-02-10 04:48:02 UTC
This issue also exists on build RHEL-6.9-20170209.0 against Stage.

Version:
[root@dhcp-128-67 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.20-1
subscription management rules: 5.15.1
subscription-manager: 1.18.9-1.el6
python-rhsm: 1.18.6-1.el6

Steps to Reproduce:
1. Install RHEL-6.9-20170209.0
2. Check manpage of rhsm.conf
[root@dhcp-128-67 ~]# man -f rhsm.con
rhsm.con: nothing appropriate

Comment 2 qianzhan 2017-02-27 08:25:52 UTC
Verified on RHEL-6.9-20170226.0 against SAM1.4:

1.
[root@hp-dl2x170g6-02 facts]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 1.4.3.28-1.el6sam_splice-Headpin
subscription management rules: Unknown
subscription-manager: 1.18.10-1.el6
python-rhsm: 1.18.6-1.el6


2.
[root@hp-dl2x170g6-02 facts]# man -f rhsm.conf
rhsm.conf [rhsm]     (5)  - Configuration file for the subscription-manager tooling

Moving this bug to VERIFIED.

Comment 3 Wei Liu 2017-03-09 08:24:47 UTC
I met this issue again on build RHEL-6.9-20170309.0 against Stage.

Version:
[root@dell-pem600-01 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.21-1
subscription management rules: 5.15.1
subscription-manager: 1.18.10-1.el6
python-rhsm: 1.18.6-1.el6

Steps to Reproduce:
1. Install RHEL-6.9-20170309.0
2. Check manpage of rhsm.conf
[root@dhcp-128-67 ~]# man -f rhsm.conf
rhsm.con: nothing appropriate

so reopen this issue.

Comment 4 Wei Liu 2017-04-17 03:40:11 UTC
This issue also exists on build rhvh-4.1-20170324.2.x86_64 against stage:

env:
redhat-virtualization-host-4.1-20170324.2.x86_64

subscription-manager version:
[root@hp-z220-15 rhsm]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.21-1
subscription management rules: 5.15.1
subscription-manager: 1.17.15-1.el7
python-rhsm: 1.17.9-1.el7

rhel:
[root@hp-z220-15 rhsm]# cat /etc/redhat-release 
Red Hat Enterprise Linux release 7.3

steps to reproduce:
[root@hp-z220-15 yum.repos.d]# man -f rhsm.conf
rhsm.conf: nothing appropriate.

Comment 5 Kevin Howell 2017-05-15 16:27:29 UTC
Notice in comment 3 "rhsm.con: nothing appropriate", I suspect that was a simple typo (I suspect you typed "man -f rhsm.con"). Can you confirm?

Also, as noted in bug 1441974, rhvh appears to *not* include manpages.

Comment 6 Wei Liu 2017-05-16 02:29:51 UTC
(In reply to Kevin Howell from comment #5)
> Notice in comment 3 "rhsm.con: nothing appropriate", I suspect that was a
> simple typo (I suspect you typed "man -f rhsm.con"). Can you confirm?
> 
> Also, as noted in bug 1441974, rhvh appears to *not* include manpages.

I tried again on build RHEL-6.9-20170309.0,and reproduced this issue.
[root@dhcp-129-126 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.51.21-1
subscription management rules: 5.15.1
subscription-manager: 1.18.10-1.el6
python-rhsm: 1.18.6-1.el6
[root@dhcp-129-126 ~]# man -f rhsm.conf
rhsm.conf: nothing appropriate

By the way, I just installed RHEL-6.9-20170309.0 and did not do any other operations,then run #man -f rhsm.conf,the issue appeared again.

Comment 7 Wei Liu 2017-05-16 03:23:08 UTC
Do the same operations as comment 6 and find the issue also exists on build RHEL-7.4-20170504.0:
[root@dhcp-128-5 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.51.21-1
subscription management rules: 5.15.1
subscription-manager: 1.19.12-1.el7
python-rhsm: 1.19.6-1.el7
[root@dhcp-128-5 ~]# man -f rhsm.conf
rhsm.conf: nothing appropriate.

Comment 8 Bryan Kearney 2017-06-26 20:37:54 UTC
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!


Note You need to log in before you can comment on or make changes to this bug.